# Uses of Enum
org.mariadb.jdbc.util.constants.CatalogTerm

Packages that use CatalogTerm
Package
Description
org.mariadb.jdbc
org.mariadb.jdbc.util.constants

## Uses of CatalogTerm in org.mariadb.jdbc

Methods in org.mariadb.jdbc that return CatalogTerm
Modifier and Type
Method
Description
`CatalogTerm`
Configuration.`useCatalogTerm()`
Indicating using Catalog or Schema

## Uses of CatalogTerm in org.mariadb.jdbc.util.constants

Subclasses with type arguments of type CatalogTerm in org.mariadb.jdbc.util.constants
Modifier and Type
Class
Description
`enum`
`CatalogTerm`
Indicate if metadata search must use Catalog or schema field.
Methods in org.mariadb.jdbc.util.constants that return CatalogTerm
Modifier and Type
Method
Description
`static CatalogTerm`
CatalogTerm.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static CatalogTerm[]`
CatalogTerm.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.